import { mongoose } from "@typegoose/typegoose";
import { loadGMGroupModel } from "./GMGroup";
import { loadGMRecordModel } from "./GMRecord";
import { loadGMUserModel } from './GMUser'
import { loadRegionModel } from "./Region";
import { loadServerlistModel } from "./Serverlist";
import { loadGMMailModel } from './GMMail';
import { loadCounterModal } from "./CounterAll";
import { loadMarqueeModel } from "./Marquee";

export function loadGmDb(connect: mongoose.Connection) {
    // console.log('************')
    loadGMGroupModel(connect);
    loadGMUserModel(connect);
    loadGMRecordModel(connect);
    loadRegionModel(connect);
    loadServerlistModel(connect);
    loadGMMailModel(connect);
    loadCounterModal(connect);
    loadMarqueeModel(connect);
}